﻿namespace TabsStudioProjector
{
    public class Projector : TabsStudioExt.ITabsStudioAddin, TabsStudioExt.IStyler
    {
        public Projector()
        {
        }

        public void OnConnection(TabsStudioExt.ITabsStudioEngine engine_, EnvDTE80.DTE2 dte)
        {
            engine = engine_;
            engine.TabCreated += OnTabCreated;
        }

        public void OnDisconnection()
        {
            engine.TabCreated -= OnTabCreated;
        }

        public string GetNamespacesForResourceDictionary()
        {
            return "xmlns:TabsStudioProjector=\"clr-namespace:TabsStudioProjector;assembly=Projector\"";
        }

        private void OnTabCreated(object sender, TabsStudioExt.TabEventArgs e)
        {
            try
            {
                Properties.SetProjectName(e.Tab.TabItem, 
                    e.Tab.TabExtensions[0].Window.Document.ProjectItem.ContainingProject.Name);
            }
            catch (System.Exception)
            {
            }
        }

        private TabsStudioExt.ITabsStudioEngine engine;
    }
}
